package com.pixelized.desktop.lwa.ui.navigation.screen.destination.gamemaster

import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavHostController
import androidx.navigation.compose.composable
import com.pixelized.desktop.lwa.ui.screen.admin.character.list.GMCharacterPage

object GMCharacterDestination {
    private const val ROUTE = "GameMasterCharacter"

    fun baseRoute() = ROUTE
    fun navigationRoute() = ROUTE
}

fun NavGraphBuilder.composableGameMasterCharacterPage() {
    composable(
        route = GMCharacterDestination.baseRoute(),
    ) {
        GMCharacterPage()
    }
}

fun NavHostController.navigateToGameMasterCharacterPage() {
    val route = GMCharacterDestination.navigationRoute()
    navigate(route = route)
}